summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2014-06-06 07:00:13 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-12 06:51:38 +0700
commit832169027772a2800e8b4ad5e137cb96595a6568 (patch)
tree6d5b29d19847bab1118cd94b1beb01c0f6630f25 /academic
parent06138d0643ce510c29abc974bc7c279fb8f01bfc (diff)
downloadslackbuilds-832169027772a2800e8b4ad5e137cb96595a6568.tar.gz
slackbuilds-832169027772a2800e8b4ad5e137cb96595a6568.tar.xz
academic/engauge: Added (Graphs to Numbers Digitizer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/engauge/README6
-rw-r--r--academic/engauge/doinst.sh3
-rw-r--r--academic/engauge/engauge.SlackBuild105
-rw-r--r--academic/engauge/engauge.desktop7
-rw-r--r--academic/engauge/engauge.info10
-rw-r--r--academic/engauge/slack-desc19
6 files changed, 150 insertions, 0 deletions
diff --git a/academic/engauge/README b/academic/engauge/README
new file mode 100644
index 0000000000..492ddf9aa7
--- /dev/null
+++ b/academic/engauge/README
@@ -0,0 +1,6 @@
+Engauge digitizing software converts an image file showing a graph or map,
+into numbers. The image file can come from a scanner, digital camera or
+screenshot. The numbers can be read on the screen, and written or copied
+to a spreadsheet. Engauge Digitizer compensates for rotation, scaling
+and skew (also known as shearing) in graphs. Engauge recognizes BMP, GIF,
+JPG, PNG, PNM, and XPM bitmaps.
diff --git a/academic/engauge/doinst.sh b/academic/engauge/doinst.sh
new file mode 100644
index 0000000000..59eb079d15
--- /dev/null
+++ b/academic/engauge/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications 2>/dev/null
+fi
diff --git a/academic/engauge/engauge.SlackBuild b/academic/engauge/engauge.SlackBuild
new file mode 100644
index 0000000000..3040c99f97
--- /dev/null
+++ b/academic/engauge/engauge.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for engauge
+# written by <pedro@gepasi.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=engauge
+VERSION=${VERSION:-5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ digitizer.pro
+make
+
+# the package does not have a make install so we'll move things around
+strip --strip-unneeded bin/$PRGNAM 2>/dev/null || true
+
+mkdir -p $PKG/usr/bin
+cp -a bin/$PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -ra samples $PKG/usr/share/$PRGNAM
+
+# make an icon from the supplied .ico file
+mkdir -p $PKG/usr/share/pixmaps
+convert src/img/digitizer.ico engauge.png
+cp -a engauge-0.png $PKG/usr/share/pixmaps/engauge.png
+
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar INSTALL LICENSE README RELEASE usermanual $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/engauge/engauge.desktop b/academic/engauge/engauge.desktop
new file mode 100644
index 0000000000..873bba31d6
--- /dev/null
+++ b/academic/engauge/engauge.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Engauge
+Type=Application
+Exec=engauge
+Icon=engauge
+GenericName=Engauge Graph Digitizer
+Categories=Science;Graphics
diff --git a/academic/engauge/engauge.info b/academic/engauge/engauge.info
new file mode 100644
index 0000000000..22d1d11f19
--- /dev/null
+++ b/academic/engauge/engauge.info
@@ -0,0 +1,10 @@
+PRGNAM="engauge"
+VERSION="5.2"
+HOMEPAGE="http://digitizer.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/digitizer/files/Engauge%20Digitizer/digitizer-5.2/engauge_5.2.tgz"
+MD5SUM="2fbd9c81fa9e910f871560767bbb52bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
diff --git a/academic/engauge/slack-desc b/academic/engauge/slack-desc
new file mode 100644
index 0000000000..c882dccd26
--- /dev/null
+++ b/academic/engauge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+engauge: engauge (graphs to number digitizer)
+engauge:
+engauge: engauge converts an image file showing a graph or map, into numbers.
+engauge: The image file can come from a scanner, digital camera or screenshot.
+engauge: The numbers can be read on the screen, and written or copied to a
+engauge: spreadsheet. Engauge Digitizer compensates for rotation, scaling and
+engauge: skew (also known as shearing) in graphs. Engauge recognizes BMP, GIF,
+engauge: JPG, PNG, PNM, and XPM bitmaps.
+engauge:
+engauge: Homepage: http://digitizer.sourceforge.net/
+engauge: